Bug 501878 - guestfish built-in commands like 'alloc' and 'help' don't autocomplete
guestfish built-in commands like 'alloc' and 'help' don't autocomplete
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 04:24 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:24:43 EDT
To reproduce this, run guestfish, and try typing partial commands
followed by the [TAB] (autocomplete) key.  For example, typing
the letter 'a' followed by [TAB] shows:

><fs> a
add          append       aug-defvar   aug-insert   aug-match    aug-save
add-cdrom    aug-close    aug-get      aug-load     aug-mv       aug-set
add-drive    aug-defnode  aug-init     aug-ls       aug-rm       autosync

Built-in commands like 'alloc' and 'help' aren't included in the autocomplete
list.
Comment 1 Richard W.M. Jones 2009-05-26 05:47:43 EDT
Upstream bug, moved to 'Virtualization Tools' product.
Comment 2 Richard W.M. Jones 2009-05-27 07:30:38 EDT
This should be fixed by this change:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=6610af333b93d93f6f0f4b917e0caee0d35ba389
Comment 3 Richard W.M. Jones 2009-05-27 07:31:20 EDT
Output of a[TAB] is now:

><fs> a
add          allocate     aug-defvar   aug-load     aug-rm       
add-cdrom    append       aug-get      aug-ls       aug-save     
add-drive    aug-close    aug-init     aug-match    aug-set      
alloc        aug-defnode  aug-insert   aug-mv       autosync
Comment 4 Fedora Update System 2009-05-27 09:23:41 EDT
libguestfs-1.0.33-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.33-1.fc11
Comment 5 Fedora Update System 2009-05-29 02:03:52 EDT
libguestfs-1.0.36-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.36-1.fc11.2
Comment 6 Fedora Update System 2009-06-02 11:10:24 EDT
libguestfs-1.0.38-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.38-1.fc11
Comment 7 Fedora Update System 2009-06-04 11:39:42 EDT
libguestfs-1.0.41-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.41-1.fc11
Comment 8 Fedora Update System 2009-06-06 13:58:03 EDT
libguestfs-1.0.42-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.42-1.fc11
Comment 9 Fedora Update System 2009-06-23 05:15:28 EDT
libguestfs-1.0.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.51-1.fc11
Comment 10 Fedora Update System 2009-06-29 15:28:05 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 11 Fedora Update System 2009-07-02 19:26:52 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 12 Fedora Update System 2009-07-11 05:27:51 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 13 Fedora Update System 2009-07-11 13:13:13 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-19 06:28:31 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Richard W.M. Jones 2010-03-27 06:03:00 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.